Bug 736714 - perl-ExtUtils-MakeMaker provides perl(DynaLoader)?!
Summary: perl-ExtUtils-MakeMaker provides perl(DynaLoader)?!
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 13:40 UTC by Richard Hughes
Modified: 2011-11-13 05:35 UTC (History)
9 users (show)

Fixed In Version: perl-5.14.2-190.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-13 05:35:57 UTC


Attachments (Terms of Use)

Description Richard Hughes 2011-09-08 13:40:29 UTC
Description of problem:

I saw this in my logs this morning:

(zif:8996): Zif-WARNING **: found multiple provides for perl(DynaLoader) ~ :
(zif:8996): Zif-WARNING **: 1.	perl-ExtUtils-MakeMaker-6.57.5-187.fc16.noarch (updates-testing)
(zif:8996): Zif-WARNING **: 2.	perl-4:5.14.1-187.fc16.x86_64 (updates-testing)

$ zif what-provides "perl(DynaLoader)"
perl-ExtUtils-MakeMaker-6.57.5-185.fc16.noarch (installed)         Create a module Makefile
perl-ExtUtils-MakeMaker-6.57.5-187.fc16.noarch (updates-testing)   Create a module Makefile
perl-4:5.14.1-185.fc16.x86_64 (fedora)                             Practical Extraction and Report Language
perl-4:5.14.1-187.fc16.x86_64 (installed)                          Practical Extraction and Report Language
perl-4:5.14.1-187.fc16.x86_64 (updates-testing)                    Practical Extraction and Report Language

It seems odd to me that a trivial makefile generator would provide shared functionality to link C libraries. Perhaps something in the auto-dep-extractor has gone crazy?

Version-Release number of selected component (if applicable):

perl-4:5.14.1-185.fc16.x86_64
perl-ExtUtils-MakeMaker-6.57.5-187.fc16.noarch

How reproducible:

Always.

Comment 1 Tom "spot" Callaway 2011-09-08 13:54:50 UTC
I think this is where the false positive is coming from:

usr/share/perl5/ExtUtils/Mkbootstrap.pm

32    if (-f "${baseext}_BS"){
33        $_ = "${baseext}_BS";
34        package DynaLoader; # execute code as if in DynaLoader
35        local($osname, $dlsrc) = (); # avoid warnings
36        ($osname, $dlsrc) = @Config::Config{qw(osname dlsrc)};
37        $bscode = "";
38        unshift @INC, ".";
39        require $_;
40        shift @INC;
41    }
42
43    if ($Config{'dlsrc'} =~ /^dl_dld/){
44        package DynaLoader;
45        push(@dl_resolve_using, dl_findfile('-lc'));
46    }

Just needs to be filtered out.

Comment 2 Iain Arnell 2011-09-08 16:09:11 UTC
Can we filter Provides for a specific sub-package? Or need to filter it globally then explicitly provide it again in main perl package?

Comment 3 Petr Pisar 2011-09-08 16:31:35 UTC
I think filters are global. Also manually added dependencies are added after filtering.

Comment 4 Fedora Update System 2011-11-02 12:26:06 UTC
perl-5.14.2-189.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-5.14.2-189.fc16

Comment 5 Fedora Update System 2011-11-02 17:54:00 UTC
Package perl-5.14.2-189.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.14.2-189.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15276
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-11-03 21:52:42 UTC
Package perl-5.14.2-190.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.14.2-190.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15276
then log in and leave karma (feedback).

Comment 7 Petr Pisar 2011-11-04 13:04:32 UTC
F15--14 not affected.

Comment 8 Fedora Update System 2011-11-13 05:35:57 UTC
perl-5.14.2-190.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.